-2

I am facing issues installing the driver from https://github.com/pvaret/rtl8192cu-fixes for tp-link wn823n 300Mpbs wireless adapter (this adapter supports only upto kernel version 2.10 while I have kernel version 4.3.0-kali1-amd64).

When I execute the below command which is from the driver instructions

sudo apt-get install git linux-headers-generic build-essential dkms

It gives me the following error:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package linux-headers-generic is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-headers-generic' has no installation candidate

Please help me solve the issue, any help is greatly appreciated.

  • 2
    There was no kernel version 2.10; version 2.1 was obsoleted in the 90s. – Michael Homer Jan 22 '17 at 0:57
  • My bad!!! it supports (kernel versions 2.6.18 ~ 3.10.10) – Abdul Jan 22 '17 at 10:00
0

i think the driver for this wificard can be installed by adding hanipouspilot ppa this worked for me you can copy paste these commands .

sudo add-apt-repository ppa:hanipouspilot/rtlwifi
sudo apt update
sudo apt install rtl8192eu-dkms

You can also try updating linux headers to latest kernel

Install new headers to kali linux

Not the answer you're looking for? Browse other questions tagged or ask your own question.